Bug 1393292 - Setup the postgresql server to listen on an IP that our other machines can pick up on
Summary: Setup the postgresql server to listen on an IP that our other machines can pi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 09:49 UTC by Nigel Babu
Modified: 2017-01-12 01:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 01:49:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2016-11-09 09:49:24 UTC
I'd like to start consuming postgres server for applications

Comment 1 Nigel Babu 2016-11-10 05:44:58 UTC
Here's what I did to get this working:

Edited postgresql.conf to listen on IP
Edited pg_hba.conf to allow connections from fsat IP (for specific user and db)
firewall-cmd --permanent --add-port=5432/tcp
firewall-cmd --add-port=5432/tcp

Comment 2 M. Scherer 2016-11-10 12:48:01 UTC
Ok so I did fork the role on :
https://github.com/gluster/gluster.org_ansible_configuration/commit/1178caf3c2ae0ee16720cb5a76651251e6ef5ab1


and opened https://gitlab.com/osas/ansible-role-postgresql/issues/3

and pushed 

https://github.com/gluster/gluster.org_ansible_configuration/commit/e20453343929fad1e47788dfaf65e12e88b270f1

I would recommend to chime on the upstream bug so we can have a idea on how we consume the role (as I would like something that allow to not repeat ourself too much)

Comment 3 M. Scherer 2016-11-10 13:01:40 UTC
I didn't yet open the firewall however. I would prefer to open it just for fstat.

Comment 4 Nigel Babu 2017-01-12 01:49:15 UTC
This works now.


Note You need to log in before you can comment on or make changes to this bug.